package com.zd.laboratory.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.Length;

import java.util.Date;

/**
 * 一体机实验室通知消息对象 lab_content_machine_msg
 *
 * @author liubo
 * @date 2022-03-08
 */
@ApiModel("一体机实验室通知消息")
public class LabContentMachineMsg extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;
    /**
     * 消息通知ID
     */
    @Excel(name = "消息通知ID")
    @ApiModelProperty(value = "消息通知ID")
    private Long contentId;

    @ApiModelProperty(value = "实验室ID")
    private Long subId;
    /**
     * 通知消息内容
     */
    @Excel(name = "通知消息内容")
    @Length(message = "通知消息内容长度不能超过255")
    @ApiModelProperty(value = "通知消息内容")
    private String contentMsg;
    /**
     * $column.columnComment
     */
    @Excel(name = "通知消息内容")
    @ApiModelProperty(value = "通知消息内容")
    private Integer type;
    /**
     * 字段暂保留，content_id 强关联
     */
    @Excel(name = "字段暂保留，content_id 强关联")
    @ApiModelProperty(value = "字段暂保留，content_id 强关联")
    private Integer status;

    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setContentId(Long contentId) {
        this.contentId = contentId;
    }

    public Long getContentId() {
        return contentId;
    }

    public void setContentMsg(String contentMsg) {
        this.contentMsg = contentMsg;
    }

    public String getContentMsg() {
        return contentMsg;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public Integer getType() {
        return type;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getStatus() {
        return status;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    @Override
    public Date getCreateTime() {
        return createTime;
    }

    @Override
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
